<?php

	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the google analytics plugin
	 */
	class PluginBlogLookConfigView extends AdminPluginTemplatedView
	{

		function PluginBlogLookConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "bloglook", "bloglook" );
		}

		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_bloglook_enabled" );
			$blogid = $blogSettings->getValue( "plugin_bloglook_blogid");

			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "blogid", $blogid );

			parent::render();
		}
	}
?>
